openSUSE Security Update: Security update for kubevirt
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:2274-1
Rating:             moderate
References:         ECO-2415 ECO-3633 SLE-11089 
Cross-References:   CVE-2021-20286
CVSS scores:
                    CVE-2021-20286 (NVD) : 2.7 CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:L

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability, contains three
   features is now available.

Description:

   This update for kubevirt fixes the following issues:

   General:

   - Updated kubevirt to version 0.40.0
   - Fixed an issue when calling `virsh-domcapabilities`
   - Fixed the the wrong registry path for containers.

   Security fixes:

   - CVE-2021-20286: A flaw was found in libnbd 1.7.3. An assertion failure
     in nbd_unlocked_opt_go in ilb/opt.c may lead to denial of service.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-2274=1



Package List:

   - openSUSE Leap 15.3 (x86_64):

      kubevirt-container-disk-0.40.0-5.11.2
      kubevirt-container-disk-debuginfo-0.40.0-5.11.2
      kubevirt-manifests-0.40.0-5.11.2
      kubevirt-tests-0.40.0-5.11.2
      kubevirt-tests-debuginfo-0.40.0-5.11.2
      kubevirt-virt-api-0.40.0-5.11.2
      kubevirt-virt-api-debuginfo-0.40.0-5.11.2
      kubevirt-virt-controller-0.40.0-5.11.2
      kubevirt-virt-controller-debuginfo-0.40.0-5.11.2
      kubevirt-virt-handler-0.40.0-5.11.2
      kubevirt-virt-handler-debuginfo-0.40.0-5.11.2
      kubevirt-virt-launcher-0.40.0-5.11.2
      kubevirt-virt-launcher-debuginfo-0.40.0-5.11.2
      kubevirt-virt-operator-0.40.0-5.11.2
      kubevirt-virt-operator-debuginfo-0.40.0-5.11.2
      kubevirt-virtctl-0.40.0-5.11.2
      kubevirt-virtctl-debuginfo-0.40.0-5.11.2


References:

   https://www.suse.com/security/cve/CVE-2021-20286.html